[SOLVED] New subscription, still "no valid subscription" message

Items_GmbH

New Member
Mar 8, 2022
19
2
3
34
Hi there
Bought the community license yesterday. Works as a charme.
BUT:
1651736691585.png
1651736754006.png
1651736769414.png

I can use the repositories and upgraded to 7.1-2.
Had to edit the file to get rid of the message "no valid subscription", but that is not what i want to be hones :)
Any ideas?
 

Stoiko Ivanov

Proxmox Staff Member
Staff member
May 2, 2018
6,995
1,084
164
Had to edit the file to get rid of the message "no valid subscription", but that is not what i want to be hones
How did you edit the file - on a hunch I'd guess that the issue will go away if you revert the edit (by reinstalling the `pmg-gui` package

if this does not help please post the output of `pmgsubscription get`
 

Items_GmbH

New Member
Mar 8, 2022
19
2
3
34
How did you edit the file - on a hunch I'd guess that the issue will go away if you revert the edit (by reinstalling the `pmg-gui` package

if this does not help please post the output of `pmgsubscription get`
Thanks for your reply.
I edited the file for the message (don´t want to give a clue, thats not the "right" way)

Here is my output:
checktime: 1651736412
key: pmgc-xxxxxxxxxx
level: c
nextduedate: 2023-05-04
productname: Proxmox Mail Gateway Community Subscription 1 year
regdate: 2022-05-04 00:00:00
serverid: xxxxxxxxxxxxx
status: Active
url: https://www.proxmox.com/proxmox-mail-gateway/pricing
validdirectory: 0E6D49C1D2522E612ED56ECBCD6A4E5B

i also tried apt reinstall pmg-gui
 

Stoiko Ivanov

Proxmox Staff Member
Staff member
May 2, 2018
6,995
1,084
164
hmm - the subscription looks ok

could you please also reinstall the proxmox-widget-toolkit (`apt install --reinstall proxmox-widget-toolkit`) package and restart
pmgproxy.service
 

Items_GmbH

New Member
Mar 8, 2022
19
2
3
34
I think i´ve found the issue:

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Reinstallation of proxmox-widget-toolkit is not possible, it cannot be downloaded.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
 

Stoiko Ivanov

Proxmox Staff Member
Staff member
May 2, 2018
6,995
1,084
164
mhm ...

what's the output of:
* pmgversion -v
* apt update
* apt full-upgrade
 

Items_GmbH

New Member
Mar 8, 2022
19
2
3
34
mhm ...

what's the output of:
* pmgversion -v
* apt update
* apt full-upgrade
pmgversion:
Code:
proxmox-mailgateway: 7.1-1 (API: 7.1-2/75d043b3, running kernel: 5.13.19-6-pve)
pmg-api: 7.1-2
pmg-gui: 3.1-2
pve-kernel-helper: 7.2-2
pve-kernel-5.13: 7.1-9
pve-kernel-5.13.19-6-pve: 5.13.19-15
pve-kernel-5.13.19-5-pve: 5.13.19-13
pve-kernel-5.13.19-1-pve: 5.13.19-3
clamav-daemon: 0.103.5+dfsg-0+deb11u1
ifupdown2: 3.1.0-1+pmx3
libarchive-perl: 3.4.0-1
libjs-extjs: 7.0.0-1
libjs-framework7: 4.4.7-1
libproxmox-acme-perl: 1.4.2
libproxmox-acme-plugins: 1.4.2
libpve-apiclient-perl: 3.2-1
libpve-common-perl: 7.1-6
libpve-http-server-perl: 4.1-1
libxdgmime-perl: 1.0-1
lvm2: 2.03.11-2.1
pmg-docs: 7.1-2
pmg-i18n: 2.6-2
pmg-log-tracker: 2.3.1-1
postgresql-13: 13.5-0+deb11u1
proxmox-mini-journalreader: 1.3-1
proxmox-spamassassin: 3.4.6-4
proxmox-widget-toolkit: 3.4-10
pve-firmware: 3.4-1
pve-xtermjs: 4.16.0-1
zfsutils-linux: 2.1.4-pve1

apt update:
Code:
Hit:1 http://security.debian.org/debian-security bullseye-security InRelease
Hit:2 http://ftp.debian.org/debian bullseye InRelease
Hit:3 http://ftp.debian.org/debian bullseye-updates InRelease
Hit:4 https://enterprise.proxmox.com/debian/pmg bullseye InRelease
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
All packages are up to date.

apt full-upgrade:
Code:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
 

Items_GmbH

New Member
Mar 8, 2022
19
2
3
34
I successfully reinstalled proxmox-widget-toolkit and pmg-gui
Had do enable the "pve-no-subscription" repository
BUT: same issue

1651744688366.png

1651744707409.png
 

Stoiko Ivanov

Proxmox Staff Member
Staff member
May 2, 2018
6,995
1,084
164
I successfully reinstalled proxmox-widget-toolkit and pmg-gui
Had do enable the "pve-no-subscription" repository
BUT: same issue
this is odd...

proxmox-widget-toolkit is present in all pmg repositories (it is a dependency of pmg-gui ... no need to enable pve repositories)


* apart from that - could you please try .. using a fresh browser (in case some extension is causing this)?
* also check the developer tools and the js-console of the browser when visiting the repositories page - maybe these can give a hint
 

Items_GmbH

New Member
Mar 8, 2022
19
2
3
34
this is odd...

proxmox-widget-toolkit is present in all pmg repositories (it is a dependency of pmg-gui ... no need to enable pve repositories)


* apart from that - could you please try .. using a fresh browser (in case some extension is causing this)?
* also check the developer tools and the js-console of the browser when visiting the repositories page - maybe these can give a hint
Just checked with other browsers and different computers - same error
dev-tools looking good as far as i understand it:
1651749118552.png

1651749643621.png
 

Stoiko Ivanov

Proxmox Staff Member
Staff member
May 2, 2018
6,995
1,084
164
this part has been modified (there are seemingly some scripts which want to remove the subscription warning, which fail, if a subscription is present):
see e.g. https://forum.proxmox.com/threads/s...mmunitiy-subskription-installiert-ist.108633/
for hints (sadly in german)

but put shortly:
* check for modification to the apt config (especially related to the subscription warning)
* remove them
* reinstall proxmox-widget-toolkit pmg-gui without the modification in the apt config
 

Items_GmbH

New Member
Mar 8, 2022
19
2
3
34
I got it
Thanks a lot for your help :)

For those, with the same issue:
Take a close look at /etc/apt/apt.conf /etc/apt/apt.conf.d
A had a "no-nag-script" there.
rm no-nag-script
activate the no-subscription Repo
apt update
apt reinstall proxmox-widget-toolkit

moderator EDIT: please don't link to popup removal instructions in our official forum
 
Last edited by a moderator:

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!